/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.pdf.resourcebundle;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * BlancoPdf が利用するリソースバンドルを蓄えます。
 *
 * リソースバンドル定義: [BlancoPdf]。<BR>
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoPdfResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoPdfResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoPdf]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoPdfResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/pdf/resourcebundle/BlancoPdf");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoPdfResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoPdf]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoPdfResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/pdf/resourcebundle/BlancoPdf", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoPdfResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoPdf]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoPdfResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/pdf/resourcebundle/BlancoPdf", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoPdf], key[METAFILE_DISPLAYNAME]
     *
     * [PDF処理定義書] (ja)<br>
     *
     * @return key[METAFILE_DISPLAYNAME]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMetafileDisplayname() {
        // 初期値として定義書の値を利用します。
        String strFormat = "PDF処理定義書";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("METAFILE_DISPLAYNAME");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }
}
